Jack2 1.9.21

Public Attributes | List of all members
jack_description_t Struct Reference
Metadata API.

`#include <metadata.h>`

## Public Attributes
jack_uuid_t | subject
uint32_t | property_cnt
jack_property_t * | properties
uint32_t | property_size

## Detailed Description

A description of a subject (a set of properties).

Definition at line 120 of file metadata.h.

## Member Data Documentation

## ◆ subject

jack_uuid_t jack_description_t::subject

Subject being described.

Definition at line 121 of file metadata.h.

## ◆ property_cnt

uint32_t jack_description_t::property_cnt

Number of elements in "properties".

Definition at line 122 of file metadata.h.

## ◆ properties

jack_property_t* jack_description_t::properties

Array of properties.

Definition at line 123 of file metadata.h.

## ◆ property_size

uint32_t jack_description_t::property_size

Private, do not use.

Definition at line 124 of file metadata.h.

The documentation for this struct was generated from the following file:

- metadata.h